Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.maltparser.parser.guide.decision
Class OneDecisionModel

    java.lang.Object
      org.maltparser.parser.guide.decision.OneDecisionModel

All Implemented Interfaces:
  DecisionModel, Model

    public class OneDecisionModel

extends Object
implements DecisionModel

Since:
  1.1
Author:
  Johan Hall

Constructor Summary
`OneDecisionModel(ClassifierGuide guide, DecisionModel prevDecisionModel, String branchedDecisionSymbol)`
`OneDecisionModel(ClassifierGuide guide, FeatureModel featureModel)`

Method Summary
`void` | `addInstance(GuideDecision decision)`
`FeatureVector` | `extract()`
`void` | `finalizeSentence(DependencyStructure dependencyGraph)`
`int` | `getDecisionIndex()`
`FeatureModel` | `getFeatureModel()`
`ClassifierGuide` | `getGuide()`
`String` | `getModelName()`
`DecisionModel` | `getPrevDecisionModel()`
`void` | `noMoreInstances()`
`boolean` | `predict(GuideDecision decision)`
`FeatureVector` | `predictExtract(GuideDecision decision)`
`boolean` | `predictFromKBestList(GuideDecision decision)`
`void` | `terminate()`
`String` | `toString()`
`void` | `updateFeatureModel()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OneDecisionModel

    public OneDecisionModel(ClassifierGuide guide,
                            FeatureModel featureModel)
                     throws MaltChainedException

Throws:
  `MaltChainedException`

### OneDecisionModel

    public OneDecisionModel(ClassifierGuide guide,
                            DecisionModel prevDecisionModel,
                            String branchedDecisionSymbol)
                     throws MaltChainedException

Throws:
  `MaltChainedException`

Method Detail

### updateFeatureModel

    public void updateFeatureModel()
                            throws MaltChainedException

  Specified by:
    `updateFeatureModel` in interface `DecisionModel`
  Throws:
    `MaltChainedException`

### finalizeSentence

    public void finalizeSentence(DependencyStructure dependencyGraph)
                          throws MaltChainedException

  Specified by:
    `finalizeSentence` in interface `Model`
  Throws:
    `MaltChainedException`

### noMoreInstances

    public void noMoreInstances()
                         throws MaltChainedException

  Specified by:
    `noMoreInstances` in interface `Model`
  Throws:
    `MaltChainedException`

### terminate

    public void terminate()
                   throws MaltChainedException

  Specified by:
    `terminate` in interface `Model`
  Throws:
    `MaltChainedException`

### addInstance

    public void addInstance(GuideDecision decision)
                     throws MaltChainedException

  Specified by:
    `addInstance` in interface `DecisionModel`
  Throws:
    `MaltChainedException`

### predict

    public boolean predict(GuideDecision decision)
                    throws MaltChainedException

  Specified by:
    `predict` in interface `DecisionModel`
  Throws:
    `MaltChainedException`

### predictExtract

    public FeatureVector predictExtract(GuideDecision decision)
                                 throws MaltChainedException

  Specified by:
    `predictExtract` in interface `DecisionModel`
  Throws:
    `MaltChainedException`

### extract

    public FeatureVector extract()
                          throws MaltChainedException

  Specified by:
    `extract` in interface `DecisionModel`
  Throws:
    `MaltChainedException`

### predictFromKBestList

    public boolean predictFromKBestList(GuideDecision decision)
                                 throws MaltChainedException

  Specified by:
    `predictFromKBestList` in interface `DecisionModel`
  Throws:
    `MaltChainedException`

### getGuide

    public ClassifierGuide getGuide()

  Specified by:
    `getGuide` in interface `Model`

### getModelName

    public String getModelName()

  Specified by:
    `getModelName` in interface `Model`

### getFeatureModel

    public FeatureModel getFeatureModel()

  Specified by:
    `getFeatureModel` in interface `DecisionModel`

### getDecisionIndex

    public int getDecisionIndex()

  Specified by:
    `getDecisionIndex` in interface `DecisionModel`

### getPrevDecisionModel

    public DecisionModel getPrevDecisionModel()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2007-2011 Johan Hall, Jens Nilsson and Joakim Nivre.